trigger.action.outText('Loading MOOSE KC130_Tanker Script v1.0 by BoneDust', 10)
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-- Script is loading.
env.info("Loading MOOSE KC130_Tanker Script v1.0 BoneDust  Requires MOOSE 2.4")

-- v1.0: Requires MOOSE version >= 2.4 

------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

-- KC130_Tanker GROUP name as set in the ME.
local TankerGroupName="KC130_Tanker"

spawn_tanker1 = SPAWN:NewWithAlias("tanker1","TEXACO"):InitRandomizeRoute(0,0,10000,1000):InitRepeatOnEngineShutDown():InitLimit(1,6):SpawnScheduled(300,0)

------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-- Scripting Part - DO NOT change anything below unless you know what you are doing.

-- Report mission time every 30 sec.
local ReportTime=false

-- Report fuel of KC130_Tanker group every 60 sec.
local ReportFuel=false

-- Display mission time.
if ReportTime then
  local Scheduler_Mission_Time = SCHEDULER:New(nil, UTILS.DisplayMissionTime, {}, 0, 30)
end

-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

-- Debug info.
env.info(string.format("Tanker Group Name   = %s", TankerGroupName))

-- Set takeoff type.
local Takeoff=SPAWN.Takeoff.Hot  -- Adjust this to SPAWN.Takeoff.Cold for a cold start, i.e. with engines off. 

local SpawnTanker=SPAWN:New(TankerGroupName)

-- Subscribe KC130_Tanker group set to the event land.
FollowGroupSet:HandleEvent(EVENTS.Land)

-- Respawn KC130_Tanker group once it landed because it was out of fuel.
function FollowGroupSet:OnEventLand(EventData)
  local group=EventData.IniGroup --Wrapper.Group#GROUP
  if group and group:GetName():match(TankerGroupName) then
     group:RespawnAtCurrentAirbase(nil, Takeoff)  -- MOOSE v2.4.X
  end
end

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

if ReportFuel then
  --- Report fuel function of following group.
  local function ReportFuel()
    for _,mytanker in pairs(FollowGroupSet:GetSet()) do
      if mytanker and mytanker:IsAlive() then
        local fuel=mytanker:GetFuel()
        local text=string.format("%s: fuel = %.2f %%", mytanker:GetName(), fuel*100)
        MESSAGE:New(text, 5):ToAll()
      end
    end
  end
  
  -- Report fuel state of KC130_Tanker every 10 seconds.
  local Scheduler_Tanker_Fuel = SCHEDULER:New(nil, ReportFuel, {}, 60, 60)
end